Subject: 26.0.50: patch org-edit-src-code

From: Fritz Stelzer <[email-masked]>
Date: Sun, 2 Jul 2017 12:53:10 +0200

When I use "org-edit-special" in an org babel block, I get this traceback:

Debugger entered--Lisp error: (wrong-type-argument listp t)
  delete((org-filtered) t)
  remove((org-filtered) t)
  org-move-to-column(5)
  org-edit-src-code()
  org-edit-special(nil)
  funcall-interactively(org-edit-special nil)
  call-interactively(org-edit-special record nil)
  command-execute(org-edit-special record)
  execute-extended-command(nil "org-edit-special" "org-edit-sp")
  funcall-interactively(execute-extended-command nil "org-edit-special"
"org-edit-sp")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

The reason for this seems to be a rewrite of the c function "delete", that
does not accept "t" instead of a list anymore. I guess it was done for a
reason.
I think "org-move-to-column" causes the problem as it is called in org-src
buffers. I tried "org-move-to-column" in an org buffer and it seems to work.

My solution would be to use "move-to-column" instead:

master ff87c8da24b40399f18f1c4c6fcab601287683ae
Author:     brotzeit <[email-masked]>
AuthorDate: Sun Jul 2 12:44:53 2017 +0200
Commit:     brotzeit <[email-masked]>
CommitDate: Sun Jul 2 12:44:53 2017 +0200

Parent:     9a2a7bb6e6 Let test summary go through even if some logs were
not generated
Merged:     master
Containing: master
Follows:    emacs-25.1 (129272)

use move-to-column in source block editing buffer

modified   lisp/org/org-src.el
@@ -356,13 +356,13 @@ org-edit-src-code
     (org-unescape-code-in-region (point-min) (point-max))
     (when markline
       (org-goto-line (1+ (- markline begline)))
-      (org-move-to-column
+      (move-to-column
        (if org-src-preserve-indentation markcol
          (max 0 (- markcol total-nindent))))
       (push-mark (point) 'no-message t)
       (setq deactivate-mark nil))
     (org-goto-line (1+ (- line begline)))
-    (org-move-to-column
+    (move-to-column
      (if org-src-preserve-indentation col (max 0 (- col total-nindent))))
     (org-src-mode)
     (set-buffer-modified-p nil)